{ nixosConfig, ... }:

{
  programs.gpg = {
    enable = true;
    settings = {
      default-key = "47E7559E037A35652DBBF8AA8D3C82F9F309F8EC";
    };
  };

  services.gpg-agent = rec {
    enable = true;
    enableZshIntegration = true;
    enableSshSupport = true;

    pinentryFlavor = if nixosConfig.sbruder.gui.enable then "gnome3" else "curses";

    defaultCacheTtl = 300;
    defaultCacheTtlSsh = defaultCacheTtl;
    maxCacheTtl = 1800;
    maxCacheTtlSsh = maxCacheTtl;
  };
}
